filename  gilfordl 'sasuser\gilfordl.xml';

filename  AUTOMAP 'sasuser\georesponseAutomap.map';

libname   gilfordl xmlv2 xmlmap=AUTOMAP automap=reuse access=READONLY;


proc sql;
create table work.temp1 as
SELECT distinct min(t2.type_ordinal) as ordinal
FROM gilfordl.type as t2
GROUP BY t2.address_component_ordinal
;

create table work.temp2 as
select t1.type_ordinal, t1.address_component_ordinal, t1.type
FROM gilfordl.type as t1, work.temp1 as t2
where t1.type_ordinal = t2.ordinal
;

create table work.gilford as
SELECT t2.type, a.long_name
FROM work.temp2 as t2, gilfordl.address_component as a
where t2.address_component_ordinal = a.address_component_ordinal
;
quit;

proc print data=work.gilford; run;
